package com.jeeplus.test.wdt.merchantCompany.service.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.google.common.collect.Lists;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.test.core.excel.converter.ExcelMerchantProductListDTOConverter;
import com.jeeplus.test.core.excel.converter.ExcelSettledPlatformListDTOConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 入驻商家表
 * @author: 徐滕
 * @version: 2024-01-04 10:42
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ColumnWidth(20)
public class MerchantCompanyScreenDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 联系人名称
     */
    private String linkmanName;

    /**
     * 联系人电话
     */
    private String linkmanPhone;

    /**
     * 年销售额
     */
    private String annualSales;

}
